This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 65697 - kernel panic: killing interupt handle: writing printer via network (both lpr and cups)
kernel panic: killing interupt handle: writing printer via network (both lpr ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 07:35 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-30 07:35:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
kernel panic killing interupt handler when transferring page to ljet4 printer 
from either LPRng and CUPS via both JetDirect and SMB

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure a printer in LPR to use ljet4 on JetDirect
2. print a test page
3. await the panic (5-30s)
	

Actual Results:  The system panics: Aiee! Killing interupt handler.

I might have seen it just flash and reboot once, but the might have been an 
intermediate boot and fsck

Expected Results:  the system keeps running, and the print gets to the 
destination

Additional info:

After I updated my 7.2 with the RHN updater, printing on a JetDirect connected 
printer crashed the computer with a killing interrupt handler panic.

The eventually killed my machine, and I had to scratch it... I then installed 
7.3, but the problem persists. It might (I am not that keen on experimenting `-
) hang on the use og the ljet4/ljet5gray ghostscript drivers, but not on the 
omni version.

However, the print sometimes gets through just before the computer panics, so 
I guess the version with omni might just be luck.

The error persists even if I refrain from using the JetDirect option, and 
sends the output via an SMB shared printer.

I have a 3c905B netcard which might be the problem. I most definitely did not 
have it in the vanilla 7.2 version.
Comment 1 Arjan van de Ven 2002-05-30 09:45:14 EDT
Is there any more info just above this as to where the bug is ? Just "it panics"
doesn't give me a lot to go on unfortionatly.
Comment 2 Need Real Name 2002-05-31 05:25:15 EDT
Well, I have not been able to decipher which interupt handler that is 
disabled, but I guess it has to do with the network, since it is brought on by 
network printing. I am not much inclined to provoke this error since I have 
seen it damage my filesystem beyond repair.

My kernel is a standard 7.3 kernel with no hacking...

I uses the network for allthe rest: ssh, nfs, ... and have no problems, so I 
must admit it sounds pretty strange to me.

I just verified today that setting up a native PS printer via JetDirect does 
not have this effect, so it might be linked to some strange interaction 
between the lowlevel system and the ghostscript ljet4 output...

Yet I admit this sounds peculiar...

Claus Drfby
Comment 3 Alan Cox 2003-06-27 16:50:47 EDT
peculiar indeed but a year on we have a 2nd case of it.

Comment 4 Need Real Name 2003-09-21 14:49:07 EDT
I also get Kernel Panic:Aiee on bootup..... changed by "Redhat-switch-printer" 
from "cups" to "LPRng" and now avoids a crash. The error codes generated with 
kernel panic is: 0f, 0b, e2, 03, 3f, 4b, 25, c0, e9, 6d, fd, ff, ff, 90, 55, 
89, e5, 57, 89 and d7. I am still not able to use the printer (HP DeskJet 
916c) in any mode though either print a test page or used by LAN users...  Any 
ideas will be greatly received !!!. 
Comment 5 Alan Cox 2003-09-22 09:20:07 EDT
The important bit of the panic is the call trace. Can you get the call trace
from the panic, that would really help. If you arent sure what is needed and
have a digital camera feel free to attach a jpeg.
Comment 6 Bugzilla owner 2004-09-30 11:39:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.